<div
  class="class-item-container"
  [appCopyToClipboard]="classItem">
    <mat-checkbox
        class="align-center"
        color="primary"
        [value]="classItem.id"
        [checked]="selected"
        (change)="onCheckboxChange($event)">
    </mat-checkbox>
    <div
        class="class-color align-center"
        [ngStyle]="{'background-color': classColor}">
    </div>
    <div class="align-center class-name" [matTooltip]="classItem | annotationClassToString">{{classItem.name}}</div>
</div>
